Yapper Docs
Api reference
PUT
/me/alert-subscriptions

Changes only the key's member's own email; the rule and everyone else are unchanged. Any member's key with limits:write.

Authorization

bearerAuth limits:write
AuthorizationBearer <token>

In: header

Scope: limits:write

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/me/alert-subscriptions" \  -H "Content-Type: application/json" \  -d '{    "ruleId": "string",    "muted": true  }'
{  "data": [    {      "rule": {        "id": "string",        "watch": "balance",        "subjects": [          "string"        ],        "level": 1,        "recipients": "admins",        "notifySubject": true,        "createdBy": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "links": {          "self": "string"        }      },      "muted": true,      "as": "string",      "subjectNames": [        "string"      ]    }  ]}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}